package org.jeecg.modules.dynamicStaticAnalysis.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 动静态分析-分析批次-单元设备测点得分
 * </p>
 *
 * @author hkl
 * @since 2023-08-08
 */
@Getter
@Setter
@TableName("t_dsa_analysis_batch_unit_device_point_score")
@ApiModel(value = "AnalysisBatchUnitDevicePointScore对象", description = "动静态分析-分析批次-单元设备测点得分")
public class AnalysisBatchUnitDevicePointScore implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId("id")
    private String id;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("创建日期")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty("速度下限")
    @TableField("speed_min")
    private Integer speedMin;

    @ApiModelProperty("速度上限")
    @TableField("speed_max")
    private Integer speedMax;

    @ApiModelProperty("分析类型 1-均值分析 2-峰值分析")
    @TableField("analysis_type")
    private Integer analysisType;

    @ApiModelProperty("分析批次单元设备id")
    @TableField("analysis_batch_unit_device_id")
    private String analysisBatchUnitDeviceId;

    @ApiModelProperty("分析批次号")
    @TableField("analysis_batch_code")
    private String analysisBatchCode;

    @ApiModelProperty("分析批id")
    @TableField("analysis_batch_id")
    private String analysisBatchId;

    @ApiModelProperty("单元设备id")
    @TableField("unit_id")
    private String unitId;

    @ApiModelProperty("单元设备code")
    @TableField("unit_code")
    private String unitCode;

    @ApiModelProperty("设备单元类型1-钢轨,2-曲线,3-竖曲线,4-道岔")
    @TableField("unit_type")
    private Integer unitType;

    @ApiModelProperty("设备单元类型名称")
    @TableField("unit_type_name")
    private String unitTypeName;

    @ApiModelProperty("检查类型 1-人工检查 2-轨检仪类型 3-轨检车类型 4-添乘仪类型")
    @TableField("check_type")
    private Integer checkType;

    @ApiModelProperty("测点类型")
    @TableField("point_type_name")
    private String pointTypeName;

    @ApiModelProperty("测点值")
    @TableField("point_value")
    private Integer pointValue;

    @ApiModelProperty("测点得分")
    @TableField("point_score")
    private BigDecimal pointScore;

    @ApiModelProperty("权值")
    @TableField("weight_values")
    private BigDecimal weightValues;

    @ApiModelProperty("备注")
    @TableField("remark")
    private String remark;


}
